Issue1182

classification
Title: Patch to Lib/socket.py to fix broken SSL
Type: Severity: normal
Components: Library Versions: 2.5b0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, dmbaggett
Priority: Keywords:

Created on 2008-11-24.17:14:36 by dmbaggett, last changed 2008-12-18.11:06:45 by amak.

Files
File name Uploaded Description Edit Remove
socket.py.diff dmbaggett, 2008-11-24.17:14:35 Patch against trunk of 24NOV08
Messages
msg3845 (view) Author: Dave Baggett (dmbaggett) Date: 2008-11-24.17:14:35
This patch (against trunk as of 24NOV2008) corrects completely broken
behavior in SSL sockets.
msg3851 (view) Author: Alan Kennedy (amak) Date: 2008-11-26.12:34:27
Please can you elaborate on what is "completely broken" before we fix it?

A short code snippet illustrating defective behaviour would be enough.
msg3852 (view) Author: Dave Baggett (dmbaggett) Date: 2008-11-26.12:46:29
The socket code for ssl was creating a new
BufferedInputStream/BufferedOutputStream for each read or write.
If, for instance, you read one byte, it would actually read up to the
buffer size and return you the one byte, while throwing away the buffer
containing anything else that had been read. So any program that read
from an SSL socket would fail.
msg3854 (view) Author: Alan Kennedy (amak) Date: 2008-11-26.16:01:52
Yes, you're exactly right.

I will apply your patch very soon.

Thanks for submitting the bug report.
msg3960 (view) Author: Alan Kennedy (amak) Date: 2008-12-18.11:06:44
This is now fixed on trunk and release 22 maint.

Thanks for the report and the patch.
History
Date User Action Args
2008-12-18 11:06:45amaksetstatus: open -> closed
assignee: amak
resolution: fixed
messages: + msg3960
2008-11-26 16:01:53amaksetmessages: + msg3854
2008-11-26 12:46:29dmbaggettsetmessages: + msg3852
2008-11-26 12:34:28amaksetnosy: + amak
messages: + msg3851
2008-11-24 17:14:36dmbaggettcreate